/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2005 Fossil E-Commerce, http://www.fossilec.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id: NoSuchInterfaceException.java 98 2006-02-24 16:18:48Z gblondelle $
 * -------------------------------------------------------------------------
 */
package org.objectweb.petals.service;

import org.objectweb.petals.PetalsException;

/**
 * @version	$Revision: 98 $ $Date: 2006-02-24 16:18:48Z $
 * @since	Petals 1.0
 * @author	<a href="mailto:rmarins@fossilec.com">Rafael Marins</a>
 */
public class NoSuchInterfaceException extends PetalsException {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	public NoSuchInterfaceException() {
		super();
	}

	/**
	 * @param message
	 * @param cause
	 */
	public NoSuchInterfaceException(String message, Throwable cause) {
		super(message, cause);
	}

	/**
	 * @param message
	 */
	public NoSuchInterfaceException(String message) {
		super(message);
	}

	/**
	 * @param cause
	 */
	public NoSuchInterfaceException(Throwable cause) {
		super(cause);
	}

}
